{{ form_start(form) }}
<div class="form-group">
    {{ form_label(form.name, 'Nom du produit') }}
    {{ form_widget(form.name, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.name) }}
</div>
{% if is_granted('ROLE_ADMIN') %}
    <div class="form-group">
        {{ form_label(form.user, 'Fournisseur') }}
        {{ form_widget(form.user, {attr: {class: 'select2 form-control select2-multiple'}}) }}
        {{ form_errors(form.user) }}
    </div>
{% endif %}
<div class="form-group">
    {{ form_label(form.sku, 'UGS') }}
    {{ form_widget(form.sku, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.sku) }}
</div>
<div class="form-group">
    {{ form_label(form.price, 'Prix unitaire') }}
    {{ form_widget(form.price, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.price) }}
</div>
<div class="form-group">
    {{ form_label(form.description) }}
    {{ form_widget(form.description, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.description) }}
</div>
<div class="form-group">
    {{ form_label(form.quantity, 'Quantité') }}
    {{ form_widget(form.quantity, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.quantity) }}
</div>
<div class="form-group">
    {{ form_label(form.categories, 'Catégories') }}
    {{ form_widget(form.categories, {attr: {class: 'select2 form-control select2-multiple'}}) }}
    {{ form_errors(form.categories) }}
</div>

<div class="form-group">
    {{ form_label(form.images) }}
    {% set imagesLength = form.images|length %}
    <div id="image-fields-list"
         data-prototype="{{ form_widget(form.images.vars.prototype)|e }}"
         data-widget-tags="{{ '<div class="form-group"></div>'|e }}"
         data-widget-counter="{% if imagesLength == 0 %}1{% else %}{{ imagesLength }}'{% endif %}">
        {% if imagesLength == 0 %}
            <div class="form-group">
                <div id="product_images_0">
                    <div>
                        <input type="file" id="product_images_0_file" name="product[images][0][file]" class="form-control">
                    </div>
                </div>
            </div>
        {% else %}
            {% for imageField in form.images %}
                <div class="form-group">
                    {{ form_widget(imageField) }}
                    {{ form_errors(imageField) }}
                </div>
            {% endfor %}
        {% endif %}
    </div>
    {{ form_widget(form.images) }}
    <button type="button"
            class="btn btn-sm btn-info add-another-collection-widget"
            data-list-selector="#image-fields-list"><i class="fa fa-plus"></i></button>
</div>

<button class="btn btn-primary">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}
